<?php
/**
 * Basic database structure file.
 *
 * @copyright YetiForce S.A.
 * @license   YetiForce Public License 7.0 (licenses/LicenseEN.txt or yetiforce.com)
 * @author    Radosław Skrzypczak <r.skrzypczak@yetiforce.com>
 */

namespace Importers;

/**
 * Basic database structure class.
 */
class Base extends \App\Db\Importers\Base
{
    /** {@inheritdoc} */
    public $dbType = 'base';

    /**
     * Scheme.
     *
     * @return void
     */
    public function scheme(): void
    {
        $this->tables = [
            's_#__mail_smtp' => [
                'columns' => [
                    'imap_encrypt' => $this->stringType(5)->notNull()->defaultValue(''),
                ],
                'engine' => 'InnoDB',
                'charset' => 'utf8'
            ],
            'u_#__report_template_query_expression' => [
                'columns' => [
                    'formula_field' => $this->smallInteger(1)->unsigned()->defaultValue(0),
                ],
                'columns_mysql' => [
                    'formula_field' => $this->tinyInteger(1)->unsigned()->defaultValue(0),
                ],
                'engine' => 'InnoDB',
                'charset' => 'utf8'
            ],
        ];
    }
}
